'use client'
import React, { ForwardedRef, ReactNode, RefObject, forwardRef } from 'react';
import Container from 'react-bootstrap/Container';
import AboutBrief from './components/AboutBrief';
import Skills from './components/Skills';
import { Contacts } from './components/Contacts';
import WorkExperience from './components/WorkExperience';
import Education from './components/Education';
import { Col, Row } from 'react-bootstrap';
import Footer from './components/Footer';
import Photo from './components/Photo';
import useSize from './hooks/Size';

export default function Home() {
  return (

    <Container className='main-container' fluid='xxl'>
      <Row>
        <Col xs={'auto'} sm={4} lg={2}><Photo /></Col>
        <Col>
          <Row>
            <Col xs={'auto'} lg={6}><AboutBrief /></Col>
            <Col xs={'auto'} lg={6}><Contacts /></Col>
          </Row>
        </Col>
      </Row>
      <Row>
        <Col xs={12} xl={7}>
          <Row><WorkExperience /></Row>
          <Row><Education /></Row>
        </Col>
        <Col>
          <Row><Skills /></Row>
        </Col>
      </Row>
      <Row><Footer /></Row>
    </Container>
  )
}
